Bug 248648 - Review Request: kdeaddons3 - KDE 3 addons not ported to KDE 4
Review Request: kdeaddons3 - KDE 3 addons not ported to KDE 4
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On: 248647
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 17:13 EDT by Kevin Kofler
Modified: 2007-12-13 22:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 22:38:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-07-17 17:13:23 EDT
Spec URL: http://repo.calcforge.org/f8/atlantikdesigner.spec
SRPM URL: http://repo.calcforge.org/f8/atlantikdesigner-3.5.7-3.fc7.src.rpm
Description:
This package includes a game board designer for Atlantik.

NOTE: This package is only targeted for F8 and above.
Comment 1 Rex Dieter 2007-07-19 11:48:22 EDT
I'd feel better if this were named kdeaddons3, offers more flexibility what can
be included.  Then, this would simply produce (as is now):
kdeaddons3-atlantikdesigner

But, if you think that's just silly-talk, feel free to ignore me here.
Comment 2 Kevin Kofler 2007-07-19 11:50:30 EDT
A subpackage with no main package? Will that work?
I found it's pretty silly to have a kdeaddons3 package with only a single addon 
in it. ;-) But I'm open to changing it.
Comment 3 Hans de Goede 2007-07-27 06:28:46 EDT
Reviewing this, as promised.

(In reply to comment #2)
> A subpackage with no main package? Will that work?

Yes that will work, when you have no %files for the mainpackage, no mainpackage
will be build.

> I found it's pretty silly to have a kdeaddons3 package with only a single addon 
> in it. ;-) But I'm open to changing it.

I don't know whats best here, are you sure all the other addons will be
available for kde4? Then I agree that atlantikdesigner is a better name.
Comment 4 Hans de Goede 2007-07-27 06:38:53 EDT
MUST:
=====
* rpmlint output is:
W: atlantikdesigner obsolete-not-provided kdeaddons-atlantikdesigner
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* no Shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions ok
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed
* .desktop file as required

Must Fix:
---------
* Add "Requires: hicolor-icon-theme" for dir ownership
Comment 5 Kevin Kofler 2007-07-27 09:09:29 EDT
I discussed the naming again with Rex Dieter on IRC, and we decided that 
renaming this to kdeaddons3 (and building only a kdeaddons3-atlantikdesigner 
subpackage) is safest in case we want to build other addons later, although 
still only the Atlantik Designer is built.

I'm going to submit a new specfile with the new name and the missing Requires 
ASAP.
Comment 6 Kevin Kofler 2007-07-27 09:50:36 EDT
Updated:

Spec URL: http://repo.calcforge.org/f8/kdeaddons3.spec
SRPM URL: http://repo.calcforge.org/f8/kdeaddons3-3.5.7-4.fc7.src.rpm


- rename (again) to kdeaddons3
- build (only) kdeaddons3-atlantikdesigner subpackage
- Conflicts with pre-KDE-4 kdeaddons-extras
- add Requires on hicolor-icon-theme for directory ownership
- remove Requires({pre,post}): ldconfig because no shared libs are shipped
Comment 7 Hans de Goede 2007-07-27 17:54:44 EDT
Must fix:
---------
* make "%post" "%post atlantikdesigner"
* idem for %postun

Should fix:
-----------
* Remove update-desktop-database from %post scripts, as atlantikdesigner.desktop 
  doesn't define any mimetimes (you might want to check this for kdegames3 too)
Comment 8 Kevin Kofler 2007-07-28 08:06:52 EDT
> * make "%post" "%post atlantikdesigner"
> * idem for %postun

Whoops, good catch. ;-)

> * Remove update-desktop-database from %post scripts, as
> atlantikdesigner.desktop doesn't define any mimetimes (you might want to
> check this for kdegames3 too)

Oh, I wasn't aware of that one (that update-desktop-database is only needed 
when MIME types are touched). I'm going to remove it.

        Kevin Kofler
Comment 9 Kevin Kofler 2007-07-28 13:54:24 EDT
Updated:

Spec URL: http://repo.calcforge.org/f8/kdeaddons3.spec
SRPM URL: http://repo.calcforge.org/f8/kdeaddons3-3.5.7-5.fc7.src.rpm

- fix post and postun scriptlets to run for the subpackage
- don't run update-desktop-database because no MIME types are touched
Comment 10 Hans de Goede 2007-07-28 13:59:34 EDT
APPROVED!
Comment 11 Kevin Kofler 2007-12-13 22:38:09 EST
It turns out there will be no kdeaddons 4 (which wasn't decided/clear when I 
submitted this review request), so I just imported this specfile (with some 
changes, like renaming back to kdeaddons) into the existing kdeaddons module.

Note You need to log in before you can comment on or make changes to this bug.